FT_EEPROM_2232D

com.ftdi.j2xx

## Class FT_EEPROM_2232D

- java.lang.Object
- - com.ftdi.j2xx.FT_EEPROM
  - - com.ftdi.j2xx.FT_EEPROM_2232D

-     public class FT_EEPROM_2232D
      extends FT_EEPROM

  EEPROM data structure on the 2232D

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `A_FastSerial` Hardware Option - Interface A Fast Serial
    `boolean` | `A_FIFO` Hardware Option - Interface A 245 FIFO
    `boolean` | `A_FIFOTarget` Hardware Option - Interface A 245 FIFO CPU Target
    `boolean` | `A_HighIO` Drive Option - Interface A High Current IO
    `boolean` | `A_LoadD2XX` Driver Option - Interface A Load D2XX
    `boolean` | `A_LoadVCP` Driver Option - Interface A Load Vitrual Com Port
    `boolean` | `A_UART` Drive Option - Interface A UART
    `boolean` | `B_FastSerial` Hardware Option - Interface B Fast Serial
    `boolean` | `B_FIFO` Hardware Option - Interface B 245 FIFO
    `boolean` | `B_FIFOTarget` Hardware Option - Interface B 245 FIFO CPU Target
    `boolean` | `B_HighIO` Drive Option - Interface B High Current IO
    `boolean` | `B_LoadD2XX` Driver Option - Interface B Load D2XX
    `boolean` | `B_LoadVCP` Driver Option - Interface B Load Vitrual Com Port
    `boolean` | `B_UART` Drive Option - Interface B UART

    - ### Fields inherited from class com.ftdi.j2xx.FT_EEPROM

      `DeviceType, Manufacturer, MaxPower, Product, ProductId, PullDownEnable, RemoteWakeup, SelfPowered, SerialNumber, SerNumEnable, VendorId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FT_EEPROM_2232D()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### A_UART

          public boolean A_UART

      Drive Option - Interface A UART

    - #### B_UART

          public boolean B_UART

      Drive Option - Interface B UART

    - #### A_HighIO

          public boolean A_HighIO

      Drive Option - Interface A High Current IO

    - #### B_HighIO

          public boolean B_HighIO

      Drive Option - Interface B High Current IO

    - #### A_FIFO

          public boolean A_FIFO

      Hardware Option - Interface A 245 FIFO

    - #### B_FIFO

          public boolean B_FIFO

      Hardware Option - Interface B 245 FIFO

    - #### A_FIFOTarget

          public boolean A_FIFOTarget

      Hardware Option - Interface A 245 FIFO CPU Target

    - #### B_FIFOTarget

          public boolean B_FIFOTarget

      Hardware Option - Interface B 245 FIFO CPU Target

    - #### A_FastSerial

          public boolean A_FastSerial

      Hardware Option - Interface A Fast Serial

    - #### B_FastSerial

          public boolean B_FastSerial

      Hardware Option - Interface B Fast Serial

    - #### A_LoadVCP

          public boolean A_LoadVCP

      Driver Option - Interface A Load Vitrual Com Port

    - #### B_LoadVCP

          public boolean B_LoadVCP

      Driver Option - Interface B Load Vitrual Com Port

    - #### A_LoadD2XX

          public boolean A_LoadD2XX

      Driver Option - Interface A Load D2XX

    - #### B_LoadD2XX

          public boolean B_LoadD2XX

      Driver Option - Interface B Load D2XX

  - ### Constructor Detail

    - #### FT_EEPROM_2232D

          public FT_EEPROM_2232D()

About FTDI | FTDI Licence Terms